public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/binding_of_caller/
Date: Sun, 28 Feb 2021 06:43:24 +0000 (UTC)	[thread overview]
Message-ID: <1614494328.bd6c6a0193eb7c597a9086d9e7715e097ec76cac.graaff@gentoo> (raw)

commit:     bd6c6a0193eb7c597a9086d9e7715e097ec76cac
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 06:38:48 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 06:38:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd6c6a01

dev-ruby/binding_of_caller: add 1.0.0

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/binding_of_caller/Manifest                |  1 +
 .../binding_of_caller-1.0.0.ebuild                 | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/binding_of_caller/Manifest b/dev-ruby/binding_of_caller/Manifest
index 66a1b369f1b..b45105f01e7 100644
--- a/dev-ruby/binding_of_caller/Manifest
+++ b/dev-ruby/binding_of_caller/Manifest
@@ -1 +1,2 @@
 DIST binding_of_caller-0.8.0.gem 87552 BLAKE2B 9097fe2dbf1e5ea2361bee94cb83ce8152f7e1357caecf1217b1643be225e21e5aa793e7fccbef5c983d5c204b95e633ded490158dfdd1d4e99fca81c51cb910 SHA512 d6ea4e893415eaf3614b109f8f36c3fa2378da9997d013fccbd0fc1e598886d11f7843023ceed2468184d5b8df01e2329ef16c7af57bc60bbd47304a53b43974
+DIST binding_of_caller-1.0.0.tar.gz 7473 BLAKE2B 2a8f3cee555e11c9eeb56935d0ee51deb037ea5fc631b4ef5eb50a831e48ba47c6a94e9104456bd8e6c4910bc76c5bc7e268db7de8c5ed283886b80c3feffd62 SHA512 89c58fec180b7bc25c5124035ed69692961148a3ddcb561643e7b8b1a78c3b103795408b52e70264db7c4b62080991219af977c5b981a135d573ecd56cebebba

diff --git a/dev-ruby/binding_of_caller/binding_of_caller-1.0.0.ebuild b/dev-ruby/binding_of_caller/binding_of_caller-1.0.0.ebuild
new file mode 100644
index 00000000000..47de67cdbd7
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-1.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="binding_of_caller.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller"
+SRC_URI="https://github.com/banister/binding_of_caller/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-0.0.1"
+
+all_ruby_prepare() {
+	sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+	sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}


             reply	other threads:[~2021-02-28  6:43 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-28  6:43 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-08  9:47 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/binding_of_caller/ Hans de Graaff
2023-12-31 19:49 Hans de Graaff
2023-08-27 17:59 Hans de Graaff
2023-07-03  9:15 Hans de Graaff
2022-05-08  5:44 Hans de Graaff
2022-05-08  5:44 Hans de Graaff
2021-06-30  6:56 Hans de Graaff
2020-08-23  5:42 Hans de Graaff
2019-02-03 10:49 Hans de Graaff
2018-12-15  7:42 Hans de Graaff
2018-02-02 11:25 Hans de Graaff
2018-02-02 11:25 Hans de Graaff
2018-01-11  5:44 Hans de Graaff
2017-10-22  6:16 Hans de Graaff
2017-08-16  6:12 Hans de Graaff
2016-12-17  6:01 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1614494328.bd6c6a0193eb7c597a9086d9e7715e097ec76cac.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox